<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : XSLDemo.xsl
    Created on : 26. březen 2014, 16:09
    Author     : bar
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
                xmlns="http://www.w3.org/1999/xhtml">

    <xsl:output method="xml" 
                doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" 
                doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
                encoding="utf-8"
                indent="yes"/>

    <!-- TODO customize transformation rules 
         syntax recommendation http://www.w3.org/TR/xslt 
    -->
    <xsl:template match="/">
        <html>
            <head>
                <title>Seznam produktů</title>
            </head>
            <body>
                <a name="top"/>
                <xsl:apply-templates mode="obsah"/>
                <xsl:apply-templates/>
            </body>
        </html>
    </xsl:template>
    
    <xsl:template match="product" mode="obsah">
        <xsl:element name="a">
            <xsl:attribute name="href">#product<xsl:value-of select="position()"/></xsl:attribute>
            <xsl:value-of select="@name"/>
        </xsl:element>
    </xsl:template>
    
    <xsl:template match="product">
        <h2><xsl:value-of select="@name"/></h2>
        <xsl:element name="a">
            <xsl:attribute name="name">product<xsl:value-of select="position()"/></xsl:attribute>
        </xsl:element>
        <a href="#top">zpátky</a>
        <xsl:apply-templates/>
    </xsl:template>

   <xsl:template match="description">
       <p> <xsl:value-of select="."/>
       </p>
    </xsl:template>
    
    <xsl:template match="price">
        Cena: <xsl:value-of select="."/> Kč<br/>
    </xsl:template>
    
    <xsl:template match="amount">
        Skladem: <xsl:value-of select="."/> kusů<br/>
    </xsl:template>
</xsl:stylesheet>
